org.wso2.carbon.governance.api.internal

## Class GovernanceAPIServiceComponent

- java.lang.Object
- - org.wso2.carbon.governance.api.internal.GovernanceAPIServiceComponent

-     public class GovernanceAPIServiceComponent
      extends Object

  The Governance API Declarative Service Component.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GovernanceAPIServiceComponent()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `activate(org.osgi.service.component.ComponentContext context)` Activates the Governance API bundle.
    `protected void` | `deactivate(org.osgi.service.component.ComponentContext context)` Deactivates the Governance API bundle.
    `protected void` | `setAttributeSearchService(org.wso2.carbon.registry.common.AttributeSearchService searchService)`
    `protected void` | `setContentSearchService(org.wso2.carbon.registry.indexing.service.ContentSearchService searchService)`
    `protected void` | `setRegistryService(org.wso2.carbon.registry.core.service.RegistryService registryService)` Method to set the registry service used.
    `protected void` | `setTermsQuerySearchService(org.wso2.carbon.registry.indexing.service.TermsQuerySearchService searchService)`
    `protected void` | `setTermsSearchService(org.wso2.carbon.registry.indexing.service.TermsSearchService searchService)`
    `protected void` | `unsetAttributeSearchService(org.wso2.carbon.registry.common.AttributeSearchService searchService)`
    `protected void` | `unsetContentSearchService(org.wso2.carbon.registry.indexing.service.ContentSearchService searchService)`
    `protected void` | `unsetRegistryService(org.wso2.carbon.registry.core.service.RegistryService registryService)` This method is called when the current registry service becomes un-available.
    `protected void` | `unsetTermsQuerySearchService(org.wso2.carbon.registry.indexing.service.TermsQuerySearchService searchService)`
    `protected void` | `unsetTermsSearchService(org.wso2.carbon.registry.indexing.service.TermsSearchService searchService)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GovernanceAPIServiceComponent

          public GovernanceAPIServiceComponent()

  - ### Method Detail

    - #### activate

          protected void activate(org.osgi.service.component.ComponentContext context)

      Activates the Governance API bundle.
      Parameters:
        `context` - the OSGi component context.

    - #### deactivate

          protected void deactivate(org.osgi.service.component.ComponentContext context)

      Deactivates the Governance API bundle.
      Parameters:
        `context` - the OSGi component context.

    - #### setRegistryService

          protected void setRegistryService(org.wso2.carbon.registry.core.service.RegistryService registryService)

      Method to set the registry service used. This will be used to access the registry instance. This method is called when the OSGi Registry Service is available.
      Parameters:
        `registryService` - the registry service.

    - #### unsetRegistryService

          protected void unsetRegistryService(org.wso2.carbon.registry.core.service.RegistryService registryService)

      This method is called when the current registry service becomes un-available.
      Parameters:
        `registryService` - the current registry service instance, to be used for any cleaning-up.

    - #### setAttributeSearchService

          protected void setAttributeSearchService(org.wso2.carbon.registry.common.AttributeSearchService searchService)

    - #### unsetAttributeSearchService

          protected void unsetAttributeSearchService(org.wso2.carbon.registry.common.AttributeSearchService searchService)

    - #### setContentSearchService

          protected void setContentSearchService(org.wso2.carbon.registry.indexing.service.ContentSearchService searchService)

    - #### unsetContentSearchService

          protected void unsetContentSearchService(org.wso2.carbon.registry.indexing.service.ContentSearchService searchService)

    - #### setTermsSearchService

          protected void setTermsSearchService(org.wso2.carbon.registry.indexing.service.TermsSearchService searchService)

    - #### unsetTermsSearchService

          protected void unsetTermsSearchService(org.wso2.carbon.registry.indexing.service.TermsSearchService searchService)

    - #### setTermsQuerySearchService

          protected void setTermsQuerySearchService(org.wso2.carbon.registry.indexing.service.TermsQuerySearchService searchService)

    - #### unsetTermsQuerySearchService

          protected void unsetTermsQuerySearchService(org.wso2.carbon.registry.indexing.service.TermsQuerySearchService searchService)

Copyright © 2017 WSO2. All Rights Reserved.